=== debian/changelog ===
re2c (3.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:23 +0200

re2c (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
  * Control: bump Standards-Version to 4.6.2 (from 4.6.1; no further
    changes).
  * Patches: expand 02 to fix more typos.
  * Clean: add manpages for re2{go,rust}.
  * Control: add build-dep on jdupes.
  * Rules: call jdupes to deal with some duplicate files in examples.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 08 Aug 2023 11:36:36 +0000

re2c (3.0-2) unstable; urgency=medium

  * Watch: switch to github api.
  * Control: bump std-ver to 4.6.1 (from 4.6.0; no changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 04 Dec 2022 21:44:51 +0000
