## re2c 4.0.2

=== debian/changelog ===
re2c (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 24 Dec 2024 16:06:31 +0000

re2c (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1.
  * Clean: remove __pycache__ leftovers. (Closes: #1047901)
  * Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes).
  * Patches: remove, merged upstream.
  * Clean: use globbing for cleaning the manpages.
  * Control: add newly supported languages to the description.
  * Lintian: also override very-long-line-length-in-source-file for
    include/unicode_categories.re.
  * Tests: symlink syntax files and all re2* executables.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 25 Nov 2024 15:05:55 +0000
