=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: re2c
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeroen Ploemen <jcfp@debian.org>
+Maintainer: Jeroen Ploemen <jcfp@debian.org>
 Build-Depends:
  bison,
  debhelper-compat (= 13),
@@ -10,7 +9,7 @@
  python3 <!nocheck>,
  python3-docutils,
  python3-pygments
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c
@@ -20,7 +19,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: lexer generator for C, C++, Go and Rust
+Description: lexer generator for C, C++, Go, Java, Python, Rust, and others
  re2c's main goal is generating fast lexers: at least as fast as
  their reasonably optimized hand-coded counterparts. Instead of using
  a traditional table-driven approach, re2c encodes the generated
@@ -34,3 +33,6 @@
  assuming a fixed program template, re2c lets the programmer write
  most of the interface code and adapt the generated lexer to any
  particular environment.
+ .
+ Supported languages in this release are C, C++, D, Go, Haskell,
+ Java, JS, OCaml, Python, Rust, V and Zig.
