=== debian/changelog ===
re2c (4.1-1) unstable; urgency=medium

  * New upstream version 4.1
  * Bump Standards-Version to 4.7.1 (from 4.7.0; no further changes).
  * Rules: add --enable-parsers and --enable-syntax configure options.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 20 Feb 2025 13:28:03 +0000
