=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3 <!nocheck>,
  python3-docutils,
  python3-pygments
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c
