## re2c 4.2

=== debian/changelog ===
re2c (4.2-1) experimental; urgency=medium

  * New upstream version 4.2
  * Control: mention newly supported Swift in the long description.
  * Bump Standards-Version to 4.7.2 (from 4.7.1; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 09 May 2025 07:49:15 +0000
