## re2c 4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.15)
-project(re2c VERSION 4.1 HOMEPAGE_URL "https://re2c.org/")
+project(re2c VERSION 4.3 HOMEPAGE_URL "https://re2c.org/")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -42,6 +42,7 @@
 option(RE2C_BUILD_RE2OCAML "Build re2ocaml executable (an alias for `re2c --lang ocaml`)" ON)
 option(RE2C_BUILD_RE2PY "Build re2py executable (an alias for `re2c --lang python`)" ON)
 option(RE2C_BUILD_RE2RUST "Build re2rust executable (an alias for `re2c --lang rust`)" ON)
+option(RE2C_BUILD_RE2SWIFT "Build re2swift executable (an alias for `re2c --lang swift`)" ON)
 option(RE2C_BUILD_RE2V "Build re2v executable (an alias for `re2c --lang v`)" ON)
 option(RE2C_BUILD_RE2ZIG "Build re2zig executable (an alias for `re2c --lang zig`)" ON)
 
@@ -72,7 +73,11 @@
 # Cygwin and NetBSD.
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON) # fail if the C++ compiler does not support this standard
-set(CMAKE_POSITION_INDEPENDENT_CODE ON) # make sure object libraries work with shared libraries
+
+# make sure object libraries work with shared libraries
+include(CheckPIESupported)
+check_pie_supported()
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # needed for POSIX file API
 ac_check_headers("sys/types.h")
@@ -94,6 +99,7 @@
 set(re2c_manpage_ocaml   "${CMAKE_CURRENT_BINARY_DIR}/doc/re2ocaml.1")
 set(re2c_manpage_python  "${CMAKE_CURRENT_BINARY_DIR}/doc/re2py.1")
 set(re2c_manpage_rust    "${CMAKE_CURRENT_BINARY_DIR}/doc/re2rust.1")
+set(re2c_manpage_swift   "${CMAKE_CURRENT_BINARY_DIR}/doc/re2swift.1")
 set(re2c_manpage_v       "${CMAKE_CURRENT_BINARY_DIR}/doc/re2v.1")
 set(re2c_manpage_zig     "${CMAKE_CURRENT_BINARY_DIR}/doc/re2zig.1")
 set(re2c_help_c          "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2c.cc")
@@ -105,6 +111,7 @@
 set(re2c_help_ocaml      "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2ocaml.cc")
 set(re2c_help_python     "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2py.cc")
 set(re2c_help_rust       "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2rust.cc")
+set(re2c_help_swift      "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2swift.cc")
 set(re2c_help_v          "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2v.cc")
 set(re2c_help_zig        "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2zig.cc")
 set(re2c_rst2man         "${CMAKE_CURRENT_SOURCE_DIR}/build/rst2man.py")
@@ -120,6 +127,7 @@
     "$<$<BOOL:${RE2C_BUILD_RE2OCAML}>:${re2c_manpage_ocaml}>"
     "$<$<BOOL:${RE2C_BUILD_RE2PY}>:${re2c_manpage_python}>"
     "$<$<BOOL:${RE2C_BUILD_RE2RUST}>:${re2c_manpage_rust}>"
+    "$<$<BOOL:${RE2C_BUILD_RE2SWIFT}>:${re2c_manpage_swift}>"
     "$<$<BOOL:${RE2C_BUILD_RE2V}>:${re2c_manpage_v}>"
     "$<$<BOOL:${RE2C_BUILD_RE2ZIG}>:${re2c_manpage_zig}>"
 )
@@ -174,6 +182,7 @@
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_ocaml.h"
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_python.h"
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_rust.h"
+    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_swift.h"
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_v.h"
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_zig.h"
     "${re2c_docs}"
@@ -262,6 +271,7 @@
 re2c_bootstrap_syntax("include/syntax/ocaml" "src/default_syntax_ocaml.h")
 re2c_bootstrap_syntax("include/syntax/python" "src/default_syntax_python.h")
 re2c_bootstrap_syntax("include/syntax/rust" "src/default_syntax_rust.h")
+re2c_bootstrap_syntax("include/syntax/swift" "src/default_syntax_swift.h")
 re2c_bootstrap_syntax("include/syntax/v" "src/default_syntax_v.h")
 re2c_bootstrap_syntax("include/syntax/zig" "src/default_syntax_zig.h")
 
@@ -272,21 +282,3 @@
     "${re2c_manpage_source}"
 )
 re2c_gen_help("${re2c_help_source}" "${re2c_help_c}")
-re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_c}")
-add_custom_target(docs DEPENDS "${re2c_docs}")
-
-# re2c
-add_executable(re2c ${re2c_sources} "${re2c_help_c}")
-
-# re2d
-if (RE2C_BUILD_RE2D)
-    re2c_gen_help("${re2c_help_source}" "${re2c_help_d}")
-    re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_d}")
-    add_executable(re2d ${re2c_sources} "${re2c_help_d}")
-    target_compile_definitions(re2d PUBLIC
-        "RE2C_LANG=Lang::D"
-        "RE2C_PROG=\"re2d\""
-    )
-endif()
-
-# re2go
