=== build/re2c-as-subproject/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(other)
add_subdirectory(../../../re2c re2c-build)
