=== debian/changelog ===
re2c (4.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 10 Aug 2025 03:51:53 +0000

re2c (4.3-1) experimental; urgency=medium

  * New upstream version 4.3
  * Tests: make output of cp command non-verbose

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 05 Aug 2025 09:30:21 +0000
