=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3 <!nocheck>,
  python3-docutils,
  python3-pygments
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c
@@ -35,4 +35,4 @@
  particular environment.
  .
  Supported languages in this release are C, C++, D, Go, Haskell,
- Java, JS, OCaml, Python, Rust, V and Zig.
+ Java, JS, OCaml, Python, Rust, Swift, V and Zig.
