=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-docs
+	dh_auto_configure -- --enable-docs --enable-parsers --enable-syntax
 
 override_dh_installexamples:
 	dh_installexamples --exclude=__run_all.sh
