=== debian/watch ===
version=4
opts=searchmode=plain \
 https://api.github.com/repos/skvadrik/re2c/releases?per_page=100 \
 https://github.com/skvadrik/re2c/releases/download/v?[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
