## re2c 4.3.1

=== debian/changelog ===
re2c (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
  * Watch: convert to v5.
  * Control: remove Rules-Requires-Root.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 09 Dec 2025 10:33:17 +0000
