=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c
-Rules-Requires-Root: no
 
 Package: re2c
 Architecture: any
