=== debian/changelog ===
re2c (4.4-1) unstable; urgency=medium

  * New upstream version 4.4
  * Bump Standards-Version to 4.7.3 (from 4.7.2; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 30 Dec 2025 18:01:30 +0000
