=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/skvadrik/re2c/releases?per_page=100
Matching-Pattern: https://github.com/skvadrik/re2c/releases/download/v?[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Searchmode: plain
